Bug 9010 - Quote of the day: diacritics & other utf8 chars not displayed correctly
Summary: Quote of the day: diacritics & other utf8 chars not displayed correctly
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Serhij Dubyk
QA Contact: Mason James
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-05 17:07 UTC by Marc Véron
Modified: 2019-06-27 09:24 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
QOD Umlauts like ä, ü not correctly displayed in staff client (223.70 KB, image/jpeg)
2012-11-05 17:07 UTC, Marc Véron
Details
quotes editor show wrong cyrillic (122.07 KB, image/png)
2012-11-06 07:29 UTC, Serhij Dubyk
Details
json-header encoding (1.08 KB, patch)
2012-11-06 12:25 UTC, Serhij Dubyk
Details | Diff | Splinter Review
Bug 9010 - Follow up Quote of the day: Umlauts do not display correctly (2.03 KB, patch)
2012-11-06 13:01 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 9010 - Quote of the day: Umlauts do not display correctly Added utf8-encoding in json-header for correct view quotes in quotes editor. (1.09 KB, patch)
2012-11-08 23:32 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9010 - Follou up Quote of the day: Umlauts do not display correctly (1.99 KB, patch)
2012-11-08 23:32 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9010 - Follou up Quote of the day: Umlauts do not display correctly (2.04 KB, patch)
2012-11-08 23:33 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9019: Return item fields in ILS-DI GetRecords (1.32 KB, patch)
2012-12-10 20:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2012-11-05 17:07:25 UTC
Created attachment 13250 [details]
QOD Umlauts like ä, ü not correctly displayed in staff client

In staff client, the QOD editor displays umlauts like ä, ö, ü as '?' To see them correctly, one has to use html encoding like ü

See screenshot.

In staff client however, the text displays as expected.
Comment 1 Serhij Dubyk 2012-11-06 07:29:57 UTC
Created attachment 13262 [details]
quotes editor show wrong cyrillic

Cyrillic also shown wrong in editor (look attach.). Maybe not decoded utf8. In OPAC all ok.
Comment 2 Serhij Dubyk 2012-11-06 12:25:08 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2012-11-06 13:01:10 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2012-11-06 14:58:19 UTC
Set to higher importance because the bug leads to data corruption in the table quotes (while editing, the wrongly encoded strings are stored back to the database).
Comment 5 Jared Camins-Esakov 2012-11-07 02:48:01 UTC
Data corruption is a blocker, always, no matter what data it is.
Comment 6 Chris Cormack 2012-11-08 23:32:02 UTC
Created attachment 13328 [details] [review]
Bug 9010 - Quote of the day: Umlauts do not display correctly Added utf8-encoding in json-header for correct view quotes in quotes editor.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 7 Chris Cormack 2012-11-08 23:32:57 UTC Comment hidden (obsolete)
Comment 8 Chris Cormack 2012-11-08 23:33:44 UTC
Created attachment 13330 [details] [review]
Bug 9010 - Follou up Quote of the day: Umlauts do not display correctly

After applying Serhij's patch I had still troubles with umlauts, e.g. while editing or adding a new quote.

Added explicit utf-8 encoding at 3 places.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 9 Mason James 2012-11-09 05:08:19 UTC
(In reply to comment #8)
> Created attachment 13330 [details] [review]
> Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

patch worked ok for me in staff and OPAC, passing QA... thanks Serhij! :)

$ koha-qa.pl  -c 2
testing 2 commit(s) (applied to 9ace63b 'Bug 9001: Remove Zebraqueue_daemon')

 0cf9469 Bug 9010 - Follou up Quote of the day: Umlauts do not display correct
 - tools/quotes/quotes_ajax.pl

 c4d37bc Bug 9010 - Quote of the day: Umlauts do not display correctly Added u
 - tools/quotes/quotes_ajax.pl

 * tools/quotes/quotes_ajax.pl                                              OK
Comment 10 Jared Camins-Esakov 2012-11-10 01:08:05 UTC
This patch has been pushed to master.
Comment 11 Paul Poulain 2012-11-12 13:27:33 UTC
Patch pushed to branch 3.10.x
Comment 12 Katrin Fischer 2012-12-10 20:56:46 UTC Comment hidden (obsolete)
Comment 13 Katrin Fischer 2012-12-10 20:57:41 UTC
Comment on attachment 13985 [details] [review]
[SIGNED-OFF] Bug 9019: Return item fields in ILS-DI GetRecords

Wrong bug.
Comment 14 Chris Cormack 2013-04-24 07:29:34 UTC
Released in 3.10.0